Skip to content
geeksforgeeks
  • Courses
    • DSA to Development
    • Get IBM Certification
    • Newly Launched!
      • Master Django Framework
      • Become AWS Certified
    • For Working Professionals
      • Interview 101: DSA & System Design
      • Data Science Training Program
      • JAVA Backend Development (Live)
      • DevOps Engineering (LIVE)
      • Data Structures & Algorithms in Python
    • For Students
      • Placement Preparation Course
      • Data Science (Live)
      • Data Structure & Algorithm-Self Paced (C++/JAVA)
      • Master Competitive Programming (Live)
      • Full Stack Development with React & Node JS (Live)
    • Full Stack Development
    • Data Science Program
    • All Courses
  • Tutorials
    • Data Structures & Algorithms
    • ML & Data Science
    • Interview Corner
    • Programming Languages
    • Web Development
    • CS Subjects
    • DevOps And Linux
    • School Learning
  • Practice
    • Build your AI Agent
    • GfG 160
    • Problem of the Day
    • Practice Coding Problems
    • GfG SDE Sheet
  • Contests
    • Accenture Hackathon (Ending Soon!)
    • GfG Weekly [Rated Contest]
    • Job-A-Thon Hiring Challenge
    • All Contests and Events
  • DSA
  • Interview Questions on Array
  • Practice Array
  • MCQs on Array
  • Tutorial on Array
  • Types of Arrays
  • Array Operations
  • Subarrays, Subsequences, Subsets
  • Reverse Array
  • Static Vs Arrays
  • Array Vs Linked List
  • Array | Range Queries
  • Advantages & Disadvantages
Open In App
Next Article:
Count number of elements between two given elements in array
Next article icon

Count number of common elements between a sorted array and a reverse sorted array

Last Updated : 22 Mar, 2023
Comments
Improve
Suggest changes
Like Article
Like
Report

Given two arrays consisting of N distinct integers such that the array A[] and B[] are sorted in ascending and descending order respectively, the task is to find the number of values common in both arrays.

Examples:

Input: A[] = {1, 10, 100}, B[] = {200, 20, 2}
Output: 0

Input: A[] = {2, 4, 5, 8, 12, 13, 17, 18, 20, 22, 309, 999}, B[] = {109, 99, 68, 54, 22, 19, 17, 13, 11, 5, 3, 1}
Output: 4

 

Naive Approach:- Check for all elements in array A that is present in array B or not if Yes increase the count of pair.

Implementation:-

C++
// C++ program for the above approach  #include <bits/stdc++.h> using namespace std;  // Function to count the number of // elements common in both the arrays int countEqual(int A[], int B[], int N) {       //variable to store answer       int ans=0;              //first loop for array A       for(int i=0;i<N;i++)     {           //This loop to find array A element in B           for(int j=0;j<N;j++)         {               //if found then increase count and exit the loop               if(A[i]==B[j])             {                   ans++;                   break;             }         }     }       return ans; }  // Driver Code int main() {     int A[] = { 2, 4, 5, 8, 12, 13, 17,                 18, 20, 22, 309, 999 };     int B[] = { 109, 99, 68, 54, 22, 19,                 17, 13, 11, 5, 3, 1 };     int N = sizeof(A) / sizeof(int);     cout << countEqual(A, B, N);      return 0; } //This code contributed by shubhamrajput6156 
Java
import java.io.*;  class GFG  {    // Java program for the above approach    // Function to count the number of   // elements common in both the arrays   public static int countEqual(int[] A, int[] B, int N)   {     // variable to store answer     int ans = 0;      // first loop for array A     for (int i = 0;i < N;i++)     {       // This loop to find array A element in B       for (int j = 0;j < N;j++)       {          // if found then increase count and exit the loop         if (A[i] == B[j])         {           ans++;           break;         }       }     }     return ans;   }    // Driver Code   public static void main(String[] args)   {     int[] A = {2, 4, 5, 8, 12, 13, 17, 18, 20, 22, 309, 999};     int[] B = {109, 99, 68, 54, 22, 19, 17, 13, 11, 5, 3, 1};       int N = A.length;     System.out.print(countEqual(A, B, N));    } }   // This code contributed by bhardwajji 
JavaScript
// JS code to implement the approach  // JavaScript code for the above approach function countEqual(A, B, N) {     // variable to store answer     let ans = 0;      // first loop for array A     for (let i = 0; i < N; i++)     {              // This loop to find array A element in B         for (let j = 0; j < N; j++)         {                      // if found then increase count and exit the             // loop             if (A[i] == B[j]) {                 ans++;                 break;             }         }     }     return ans; }  // Driver Code let A = [ 2, 4, 5, 8, 12, 13, 17, 18, 20, 22, 309, 999 ]; let B = [ 109, 99, 68, 54, 22, 19, 17, 13, 11, 5, 3, 1 ]; let N = A.length; console.log(countEqual(A, B, N));  // This code is contributed by phasing17 
C#
// C# program for the above approach using System;  class GFG {  // Function to count the number of // elements common in both the arrays public static int countEqual(int[] A, int[] B, int N) {     // variable to store answer     int ans = 0;      // first loop for array A     for (int i = 0;i < N;i++)     {     // This loop to find array A element in B     for (int j = 0;j < N;j++)     {          // if found then increase count and exit the loop         if (A[i] == B[j])         {         ans++;         break;         }     }     }     return ans; }  // Driver Code public static void Main() {     int[] A = {2, 4, 5, 8, 12, 13, 17, 18, 20, 22, 309, 999};     int[] B = {109, 99, 68, 54, 22, 19, 17, 13, 11, 5, 3, 1};       int N = A.Length;     Console.WriteLine(countEqual(A, B, N));  } }  // This code is contributed by Pushpesh Raj. 
Python3
# python program for the above approach  # Function to count the number of # elements common in both the arrays def countEqual(A, B, N):          # variable to store answer     ans = 0          # first loop for array A     for i in range(N):                  # This loop to find array A element in B         for j in range(N):                          # if found then increase count and exit the loop             if A[i] == B[j]:                 ans += 1                 break     return ans  # driver code A = [2, 4, 5, 8, 12, 13, 17, 18, 20, 22, 309, 999] B = [109, 99, 68, 54, 22, 19, 17, 13, 11, 5, 3, 1] N = len(A) print(countEqual(A, B, N)) 

Output
4

Time Complexity:- O(N^2)
Auxiliary Space:- O(1)

Approach: The given problem can be solved by using the Two Pointer Approach. Follow the steps below to solve the problem:

  • Initialize two variables, say first as 0 and second as (N - 1) that is used to traverse the array A[] and B[] from the front and back respectively.
  • Initialize a variable, say count as 0 that stores the count of numbers common in the array A[] and B[].
  • Iterate a loop until first < N and second >= 0 and perform the following steps:
    • If the value of A[first] is equal to B[second], then increment the values of count and first and decrement the value of the second.
    • If the value of A[first] is less than B[second], then increment the value of first.
    • If the value of A[first] is greater than B[second], then decrement the value of the second.
  • After completing the above steps, print the value of count as the result.

Below is the implementation of the above approach:

C++
// C++ program for the above approach  #include <bits/stdc++.h> using namespace std;  // Function to count the number of // elements common in both the arrays int countEqual(int A[], int B[], int N) {     // Used to traverse array A[] and     // B[] from the front and the back     int first = 0;     int second = N - 1;      // Stores the count of numbers     // common in both array     int count = 0;      while (first < N && second >= 0) {          // If A[first] is less than         // B[second]         if (A[first] < B[second]) {              // Increment the value             // of first             first++;         }          // IF B[second] is less         // than A[first]         else if (B[second] < A[first]) {              // Decrement the value             // of second             second--;         }          // A[first] is equal to         // B[second]         else {              // Increment the value             // of count             count++;              // Increment the value             // of first             first++;              // Decrement the value             // of second             second--;         }     }      // Return the value of count     return count; }  // Driver Code int main() {     int A[] = { 2, 4, 5, 8, 12, 13, 17,                 18, 20, 22, 309, 999 };     int B[] = { 109, 99, 68, 54, 22, 19,                 17, 13, 11, 5, 3, 1 };     int N = sizeof(A) / sizeof(int);     cout << countEqual(A, B, N);      return 0; } 
Java
// Java program for the above approach import java.io.*; import java.lang.*; import java.util.*;  class GFG {  // Function to count the number of // elements common in both the arrays static int countEqual(int A[], int B[], int N) {        // Used to traverse array A[] and     // B[] from the front and the back     int first = 0;     int second = N - 1;        // Stores the count of numbers     // common in both array     int count = 0;        while (first < N && second >= 0) {            // If A[first] is less than         // B[second]         if (A[first] < B[second]) {                // Increment the value             // of first             first++;         }            // IF B[second] is less         // than A[first]         else if (B[second] < A[first]) {                // Decrement the value             // of second             second--;         }            // A[first] is equal to         // B[second]         else {                // Increment the value             // of count             count++;                // Increment the value             // of first             first++;                // Decrement the value             // of second             second--;         }     }        // Return the value of count     return count; }        // Driver Code     public static void main(String[] args)     {          int A[] = { 2, 4, 5, 8, 12, 13, 17,                 18, 20, 22, 309, 999 };     int B[] = { 109, 99, 68, 54, 22, 19,                 17, 13, 11, 5, 3, 1 };     int N = A.length;     System.out.println(countEqual(A, B, N));     } }  // This code is contributed by susmitakundugoaldanga. 
Python3
# Python program for the above approach  # Function to count the number of # elements common in both the arrays def countEqual(A, B, N) :          # Used to traverse array A[] and     # B[] from the front and the back     first = 0     second = N - 1       # Stores the count of numbers     # common in both array     count = 0       while (first < N and second >= 0) :           # If A[first] is less than         # B[second]         if (A[first] < B[second]) :               # Increment the value             # of first             first += 1                    # IF B[second] is less         # than A[first]         elif (B[second] < A[first]) :               # Decrement the value             # of second             second -= 1                    # A[first] is equal to         # B[second]         else :               # Increment the value             # of count             count += 1               # Increment the value             # of first             first += 1               # Decrement the value             # of second             second -= 1              # Return the value of count     return count  # Driver Code  A= [ 2, 4, 5, 8, 12, 13, 17,                 18, 20, 22, 309, 999 ] B = [ 109, 99, 68, 54, 22, 19,                 17, 13, 11, 5, 3, 1 ] N = len(A) print(countEqual(A, B, N))  # This code is contributed by sanjou_62. 
C#
// C# program for the above approach using System;  class GFG{      // Function to count the number of // elements common in both the arrays static int countEqual(int[] A, int[] B, int N) {      // Used to traverse array A[] and     // B[] from the front and the back     int first = 0;     int second = N - 1;      // Stores the count of numbers     // common in both array     int count = 0;      while (first < N && second >= 0)      {                  // If A[first] is less than         // B[second]         if (A[first] < B[second])          {                          // Increment the value             // of first             first++;         }          // IF B[second] is less         // than A[first]         else if (B[second] < A[first])          {              // Decrement the value             // of second             second--;         }          // A[first] is equal to         // B[second]         else          {              // Increment the value             // of count             count++;              // Increment the value             // of first             first++;              // Decrement the value             // of second             second--;         }     }      // Return the value of count     return count; }  // Driver code static void Main() {     int[] A = { 2, 4, 5, 8, 12, 13,                 17, 18, 20, 22, 309, 999 };     int[] B = { 109, 99, 68, 54, 22, 19,                 17, 13, 11, 5, 3, 1 };     int N = A.Length;          Console.WriteLine(countEqual(A, B, N)); } }  // This code is contributed by abhinavjain194 
JavaScript
<script> // Javascript program for the above approach  // Function to count the number of // elements common in both the arrays function countEqual(A, B, N) {      // Used to traverse array A[] and     // B[] from the front and the back     let first = 0;     let second = N - 1;      // Stores the count of numbers     // common in both array     let count = 0;      while (first < N && second >= 0) {          // If A[first] is less than         // B[second]         if (A[first] < B[second]) {              // Increment the value             // of first             first++;         }          // IF B[second] is less         // than A[first]         else if (B[second] < A[first]) {              // Decrement the value             // of second             second--;         }          // A[first] is equal to         // B[second]         else {              // Increment the value             // of count             count++;              // Increment the value             // of first             first++;              // Decrement the value             // of second             second--;         }     }      // Return the value of count     return count; }  // Driver Code  let A = [2, 4, 5, 8, 12, 13, 17,     18, 20, 22, 309, 999]; let B = [109, 99, 68, 54, 22, 19,     17, 13, 11, 5, 3, 1]; let N = A.length; document.write(countEqual(A, B, N));  // This code is contributed _saurabh_jaiswal </script> 

Output
4

Time Complexity: O(N)
Auxiliary Space: O(1)

Another Approach  : We will use Binary search to check  if the element of array B[] is present in the array A[] or not because array A[] is already sorted in increasing order. So , we can use binary search for finding elements.

Below is the implementation of the above approach :

C++
// C++ program for the above approach  #include <bits/stdc++.h> using namespace std;  //Function to check if x is present in the array or not bool binarysearch(int arr[], int N, int x) {      int l = 0, r = N - 1;      while (l <= r) {         int mid = (l + r) / 2;          // Checking if the middle element is equal to x         if (arr[mid] == x) {             return true;         }         else if (arr[mid] < x) {             l = mid + 1;         }         else {             r = mid - 1;         }     }     // return true , if element x is present in the array     // else false     return false; } // Function to count the number of // elements common in both the arrays int countEqual(int A[], int B[], int N, int M) {  int count = 0;      // Iterate each element of array B     for (int i = 0; i < M; i++)      {         // Checking  if the element of array B is present in         // array A using the binary search         if (binarysearch(A, N, B[i]))         {             count++;         }     }     // Return count of common element     return count; }  // Driver Code int main() {     int A[] = { 2, 4, 5, 8, 12, 13, 17,                18, 20, 22, 309, 999 };     int B[] = { 109, 99, 68, 54, 22                 , 19,17, 13, 11, 5, 3, 1 };          int N = sizeof(A) / sizeof(int);     int M = sizeof(B) / sizeof(int);        //Function call     cout << countEqual(A, B, N, M)<<endl;      return 0; }  // This code is contributed by nikhilsainiofficial546  
Java
// Java program for the above approach import java.util.Arrays;  class Main {          // Function to check if x is present in the array or not     static boolean binarySearch(int[] arr, int N, int x) {         int l = 0, r = N - 1;         while (l <= r) {             int mid = (l + r) / 2;             // Checking if the middle element is equal to x             if (arr[mid] == x) {                 return true;             } else if (arr[mid] < x) {                 l = mid + 1;             } else {                 r = mid - 1;             }         }         // return true , if element x is present in the array         // else false         return false;     }          // Function to count the number of elements common in both the arrays     static int countEqual(int[] A, int[] B, int N, int M) {         int count = 0;         // Sort array A         Arrays.sort(A);         // Iterate each element of array B         for (int i = 0; i < M; i++) {             // Checking  if the element of array B is present in array A using the binary search             if (binarySearch(A, N, B[i])) {                 count++;             }         }         // Return count of common element         return count;     }          // Driver Code     public static void main(String[] args) {         int[] A = { 2, 4, 5, 8, 12, 13, 17, 18, 20, 22, 309, 999 };         int[] B = { 109, 99, 68, 54, 22, 19, 17, 13, 11, 5, 3, 1 };                  int N = A.length;         int M = B.length;                //Function call         System.out.println(countEqual(A, B, N, M));     } } 
Python3
#Python program for the above approach  # Function to check if x is present in the array or not def binarySearch(arr, N, x):     l = 0     r = N - 1     while l <= r:          mid = (l + r) // 2         # Checking if the middle element is equal to x         if arr[mid] == x:             return True          elif arr[mid] < x:              l = mid + 1          else:              r = mid - 1     # return true , if element x is present in the array     # else false     return False  # Function to count the number of elements common in both the arrays def countEqual(A, B, N, M):     count = 0     # Sort array A     A.sort()      # Iterate each element of array B     for i in range(M):          # Checking  if the element of array B is present in array A using the binary search         if binarySearch(A, N, B[i]):              count += 1     # Return count of common element     return count  # Driver Code A = [ 2, 4, 5, 8, 12, 13, 17, 18, 20, 22, 309, 999 ] B = [ 109, 99, 68, 54, 22, 19, 17, 13, 11, 5, 3, 1 ]       N = len(A) M = len(B)        #Function call print(countEqual(A, B, N, M)) 
C#
// C# program for the above approach using System;  class Program {      // Function to check if x is present in the array or not   static bool BinarySearch(int[] arr, int N, int x)   {     int l = 0, r = N - 1;     while (l <= r) {       int mid = (l + r) / 2;        // Checking if the middle element is equal to x       if (arr[mid] == x) {         return true;       }       else if (arr[mid] < x) {         l = mid + 1;       }       else {         r = mid - 1;       }     }     // return true , if element x is present in the     // array else false     return false;   }    // Function to count the number of   // elements common in both the arrays   static int CountEqual(int[] A, int[] B, int N, int M)   {     int count = 0;      // Iterate each element of array B     for (int i = 0; i < M; i++) {       // Checking if the element of array B is present       // in array A using the binary search       if (BinarySearch(A, N, B[i])) {         count++;       }     }     // Return count of common element     return count;   }    // Driver Code   static void Main()   {     int[] A = { 2,  4,  5,  8,  12,  13,                17, 18, 20, 22, 309, 999 };     int[] B = { 109, 99, 68, 54, 22, 19,                17,  13, 11, 5,  3,  1 };      int N = A.Length;     int M = B.Length;      // Function call     Console.WriteLine(CountEqual(A, B, N, M));      Console.ReadLine();   } } 
JavaScript
// JavaScript program to implement the approach  // Function to check if x is present in the array or not function binarysearch(arr, N, x) {    let l = 0, r = N - 1;    while (l <= r) {     let mid = Math.floor((l + r) / 2);      // Checking if the middle element is equal to x     if (arr[mid] === x) {       return true;     }     else if (arr[mid] < x) {       l = mid + 1;     }     else {       r = mid - 1;     }   }   // return true , if element x is present in the array   // else false   return false; } // Function to count the number of // elements common in both the arrays function countEqual(A, B, N, M) {     let count = 0;    // Iterate each element of array B   for (let i = 0; i < M; i++) {     // Checking  if the element of array B is present in     // array A using the binary search     if (binarysearch(A, N, B[i])) {       count++;     }   }   // Return count of common element   return count; }  // Driver Code (() => {   const A = [2, 4, 5, 8, 12, 13, 17, 18, 20, 22, 309, 999];   const B = [109, 99, 68, 54, 22, 19, 17, 13, 11, 5, 3, 1];    const N = A.length;   const M = B.length;    // Function call   console.log(countEqual(A, B, N, M)); })();  // This code is contributed by phasing17 

Output
4

Time Complexity: O(M*log(N))
Auxiliary Space: O(1)


Next Article
Count number of elements between two given elements in array

N

nichil942singh
Improve
Article Tags :
  • Misc
  • Greedy
  • Mathematical
  • DSA
  • Arrays
  • two-pointer-algorithm
Practice Tags :
  • Arrays
  • Greedy
  • Mathematical
  • Misc
  • two-pointer-algorithm

Similar Reads

  • Count number of common elements between two arrays
    Given two arrays a[] and b[], the task is to find the count of common elements in both the given arrays. Note that both the arrays contain distinct (individually) positive integers.Examples: Input: a[] = {1, 2, 3}, b[] = {2, 4, 3} Output: 2 2 and 3 are common to both the arrays.Input: a[] = {1, 4, 7
    15 min read
  • Count of all possible Arrays such that each array element can be over the range [1, arr[i]]
    Given an array arr[] consisting of N positive integers, the task is to find the number of all possible arrays such that each array element can be over the range [1, arr[i]] all elements in the newly constructed array must be pairwise distinct. Examples: Input: arr[] = {5}Output: 5Explanation:All pos
    5 min read
  • Count Array elements that occur before any of its prefix value of another Array
    Given two arrays A[] and B[] of size N each, the task is to find the number of elements in array B[] that occur before any element that was present before it in array A[]. Example: Input: N = 5, A[] = {3, 5, 1, 2, 4}, B[] = {4, 3, 1, 5, 2}Output: 2Explanation: Array A represent that 3 comes first th
    6 min read
  • Count number of elements between two given elements in array
    Given an unsorted array of n elements and also given two points num1 and num2. The task is to count number of elements occurs between the given points (excluding num1 and num2). If there are multiple occurrences of num1 and num2, we need to consider leftmost occurrence of num1 and rightmost occurren
    7 min read
  • Construct Binary Array having same number of unequal elements with two other Arrays
    Given two binary arrays A[] and B[] of size N, the task is to construct the lexicographically smallest binary array X[] such that the number of non-equal elements in A and X is equal to the number of non-equal elements in B and X. If such an array does not exist return -1. Note: If there are multipl
    12 min read
  • Number of moves required between the arrays to complete the traversal in sorted order
    Given two sorted arrays, X[] of size N and Y[] of size M having unique values. The task is to count the total number of moves required between the arrays to traverse all the elements in both the arrays in ascending order if initially, the traversal starts from the X[] array. Examples: Input: X[] = {
    11 min read
  • Map elements of an array to elements of another array
    Given two arrays A and B of positive integers, elements of array B can be mapped to elements of array A only if both the elements have same value. The task is to compute the positions in array A to which elements of array B will be mapped. Print NA if mapping for a particular element cannot be done.
    6 min read
  • Count of elements A[i] such that A[i] + 1 is also present in the Array
    Given an integer array arr the task is to count the number of elements 'A[i]', such that A[i] + 1 is also present in the array.Note: If there are duplicates in the array, count them separately.Examples: Input: arr = [1, 2, 3] Output: 2 Explanation: 1 and 2 are counted cause 2 and 3 are in arr.Input:
    11 min read
  • Count number of occurrences (or frequency) in a sorted array
    Given a sorted array arr[] and an integer target, the task is to find the number of occurrences of target in given array. Examples: Input: arr[] = [1, 1, 2, 2, 2, 2, 3], target = 2Output: 4Explanation: 2 occurs 4 times in the given array. Input: arr[] = [1, 1, 2, 2, 2, 2, 3], target = 4Output: 0Expl
    9 min read
  • Generate array having differences between count of occurrences of every array element on its left and right
    Given an array A[] consisting of N integers, the task is to construct an array B[] such that for every ith index, B[i] = X - Y, where X and Y are the count of occurrences of A[i] after and before the ith index. Examples: Input: A[] = {3, 2, 1, 2, 3}Output: 1 1 0 -1 -1Explanation: arr[0] = 3, X = 1,
    6 min read
geeksforgeeks-footer-logo
Corporate & Communications Address:
A-143, 7th Floor, Sovereign Corporate Tower, Sector- 136, Noida, Uttar Pradesh (201305)
Registered Address:
K 061, Tower K, Gulshan Vivante Apartment, Sector 137, Noida, Gautam Buddh Nagar, Uttar Pradesh, 201305
GFG App on Play Store GFG App on App Store
Advertise with us
  • Company
  • About Us
  • Legal
  • Privacy Policy
  • In Media
  • Contact Us
  • Advertise with us
  • GFG Corporate Solution
  • Placement Training Program
  • Languages
  • Python
  • Java
  • C++
  • PHP
  • GoLang
  • SQL
  • R Language
  • Android Tutorial
  • Tutorials Archive
  • DSA
  • Data Structures
  • Algorithms
  • DSA for Beginners
  • Basic DSA Problems
  • DSA Roadmap
  • Top 100 DSA Interview Problems
  • DSA Roadmap by Sandeep Jain
  • All Cheat Sheets
  • Data Science & ML
  • Data Science With Python
  • Data Science For Beginner
  • Machine Learning
  • ML Maths
  • Data Visualisation
  • Pandas
  • NumPy
  • NLP
  • Deep Learning
  • Web Technologies
  • HTML
  • CSS
  • JavaScript
  • TypeScript
  • ReactJS
  • NextJS
  • Bootstrap
  • Web Design
  • Python Tutorial
  • Python Programming Examples
  • Python Projects
  • Python Tkinter
  • Python Web Scraping
  • OpenCV Tutorial
  • Python Interview Question
  • Django
  • Computer Science
  • Operating Systems
  • Computer Network
  • Database Management System
  • Software Engineering
  • Digital Logic Design
  • Engineering Maths
  • Software Development
  • Software Testing
  • DevOps
  • Git
  • Linux
  • AWS
  • Docker
  • Kubernetes
  • Azure
  • GCP
  • DevOps Roadmap
  • System Design
  • High Level Design
  • Low Level Design
  • UML Diagrams
  • Interview Guide
  • Design Patterns
  • OOAD
  • System Design Bootcamp
  • Interview Questions
  • Inteview Preparation
  • Competitive Programming
  • Top DS or Algo for CP
  • Company-Wise Recruitment Process
  • Company-Wise Preparation
  • Aptitude Preparation
  • Puzzles
  • School Subjects
  • Mathematics
  • Physics
  • Chemistry
  • Biology
  • Social Science
  • English Grammar
  • Commerce
  • World GK
  • GeeksforGeeks Videos
  • DSA
  • Python
  • Java
  • C++
  • Web Development
  • Data Science
  • CS Subjects
@GeeksforGeeks, Sanchhaya Education Private Limited, All rights reserved
We use cookies to ensure you have the best browsing experience on our website. By using our site, you acknowledge that you have read and understood our Cookie Policy & Privacy Policy
Lightbox
Improvement
Suggest Changes
Help us improve. Share your suggestions to enhance the article. Contribute your expertise and make a difference in the GeeksforGeeks portal.
geeksforgeeks-suggest-icon
Create Improvement
Enhance the article with your expertise. Contribute to the GeeksforGeeks community and help create better learning resources for all.
geeksforgeeks-improvement-icon
Suggest Changes
min 4 words, max Words Limit:1000

Thank You!

Your suggestions are valuable to us.

What kind of Experience do you want to share?

Interview Experiences
Admission Experiences
Career Journeys
Work Experiences
Campus Experiences
Competitive Exam Experiences